<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tx="http://www.springframework.org/schema/tx"
       xmlns:aop="http://www.springframework.org/schema/aop" xmlns:task="http://www.springframework.org/schema/task"
       xsi:schemaLocation="
    http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    http://www.springframework.org/schema/tx 
    http://www.springframework.org/schema/tx/spring-tx-3.0.xsd
    http://www.springframework.org/schema/aop
    http://www.springframework.org/schema/aop/spring-aop-3.0.xsd
    http://www.springframework.org/schema/task 
    http://www.springframework.org/schema/task/spring-task-3.0.xsd">

    <task:annotation-driven executor="myExecutor" />
    <task:executor id="myExecutor" pool-size="5" />
	
    <import resource="classpath:/org/inra/ecoinfo/pro/refdata/refdata-beans.xml" />	
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/physicochimie/sol/sol-beans.xml" />	
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/physicochimie/produit/produit-beans.xml" />
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/physicochimie/plante/plante-beans.xml" />
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/flux_chambre/fluxchambre-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/incubation/incubationsol/incubationsol-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/incubation/incubationsolmoy/incubationsolmoy-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/incubation/incubationsolpro/incubationsolpro-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/incubation/incubationsolpromoy/incubationsolpromoy-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/mesurephysiquedusol/smp/smp-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/mesurephysiquedusol/swc/swc-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/mesurephysiquedusol/ts/ts-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/itk/interventionapport/apport-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/itk/interventiontravaildusol/travaildusol-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/itk/interventionrecoltecoupe/recoltecoupe-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/itk/interventionsemisplantation/semisplantation-beans.xml"/>
    <import resource="classpath:/org/inra/ecoinfo/pro/dataset/itk/interventionproetudie/proetudie-beans.xml"/>
	
        
    <bean id="applicationContextHolder" class="org.inra.ecoinfo.utils.ApplicationContextHolder">
    </bean>
    
    <bean id="abstractFileNameCheckerPRO" class="org.inra.ecoinfo.pro.utils.filenamecheckers.AbstractPROFileNameChecker" parent="abstractFileNameChecker" abstract="true">
        <property name="datatypeDAO" ref="datatypeDAO" />
        <property name="dispositifDAO" ref="dispositifDAO" />
        <property name="dataTypeVariableUnitePRODAO" ref="dataTypeVariableUnitePRODAO" />
    </bean>
    
    <bean id="fileNameCheckerPROddmmyyyy" 
          class="org.inra.ecoinfo.pro.utils.filenamecheckers.FileNameCheckerddmmyyyy" 
          parent="abstractFileNameCheckerPRO">
    </bean>
    <bean id="fileNameCheckerPROddmmyyyyhhmmss" 
          class="org.inra.ecoinfo.pro.utils.filenamecheckers.FileNameChekerddmmyyyyhhmmss" 
          parent="abstractFileNameCheckerPRO">
    </bean>
    <bean id="fileNameCheckerPROParcelleddmmyyyy" 
          class="org.inra.ecoinfo.pro.utils.filenamecheckers.FileNameCheckerParcelleddmmyyyy" 
          parent="abstractFileNameCheckerPRO">
    </bean>
    <bean id="UTCTimeZone" class="org.springframework.beans.factory.config.MethodInvokingFactoryBean">
        <property name="staticMethod" value="java.util.TimeZone.getTimeZone"/>
        <property name="arguments" value="UTC"/>
    </bean>
    <bean id="dateFormatyyyyMMddHHmm" class="java.lang.String">
        <constructor-arg type="java.lang.String" value="yyyy/MM/dd HH:mm" />
    </bean>
    <bean id="dateFormatyyyyMMdd" class="java.lang.String">
        <constructor-arg type="java.lang.String" value="yyyy/MM/dd" />
    </bean>
    

    <bean class="org.inra.ecoinfo.pro.utils.PROMessages">
        <property name="localizationManager" ref="localizationManager"/>
    </bean>

    <bean id="versioningManager" class="org.inra.ecoinfo.pro.dataset.versioning.impl.PROVersioningWithSpecificSanitize" parent="abstractVersioningManager">
        <property name="recorderDAO" ref="recorderDAO"/>
        <property name="datasetDAO" ref="datasetDAO"/>
        <property name="utilisateurDAO" ref="utilisateurDAO"/>
        <property name="versionFileDAO" ref="versionFileDAO"/>
        <property name="versionFileHelperResolver" ref="versionFileHelperResolver"/>
        <property name="siteDAO" ref="siteDAO"/>
        <property name="themeDAO" ref="themeDAO"/>
        <property name="datatypeDAO" ref="datatypeDAO"/>
        <property name="configuration" ref="datasetConfiguration"/>

    </bean>
    <!--        <bean id="leafNodeDAO" class= "org.inra.ecoinfo.pro.refdata.dispthemedatatype.JPADispositifThemeDataTypeDAO" ></bean>-->
    <bean id="leafNodeDAO" class= "org.inra.ecoinfo.pro.refdata.dispositifthemedatatypeparcelle.JPADispositifThemeDatatypeParcelleDAO" ></bean>
	
       

    <bean id="versionFileHelper" class="org.inra.ecoinfo.pro.dataset.impl.VersionFileHelper"
          parent="defaultVersionFileHelper">
        <property name="scheduleDatatypes">
            <list>
                <value>incubations_sol_seul_donnees_elementaires</value>
                <value>incubations_sol_seul_donnees_moyennees</value>
                <value>incubations_sol_pro_donnees_elementaires</value>
                <value>sols_physico-chimie_donnees_elementaires</value>  
                <value>sols_physico-chimie_moyennes</value> 
                <value>pro_physico-chimie_donnees_elementaires</value>
                <value>pro_physico-chimie_moyennes</value>
                <value>plante_physico-chimie_donnees_elementaires</value>
                <value>plante_physico-chimie_moyennes</value>
                <value>Flux_chambre</value>
                <value>smp</value>
                <value>swc</value>
                <value>ts</value>
                <value>intervention_apport</value>
                <value>intervention_recolte_coupe</value>
                <value>intervention_semis_plantation</value>
                <value>intervention_travail_du_sol</value>
                <value>intervention_pro_etudie</value>
            </list>
        </property>
    </bean>

    <bean id="versionFileHelperResolver" 
          class="org.inra.ecoinfo.pro.dataset.impl.PROVersionFileHelperResolver">
        <property name="datatypesVersionFileHelpersMap">
            <map>
                <entry key="incubations_sol_seul_donnees_elementaires" value-ref="versionFileHelper" />
                <entry key="incubations_sol_seul_donnees_moyennees" value-ref="versionFileHelper" />
                <entry key="incubations_sol_pro_donnees_elementaires" value-ref="versionFileHelper" />
                <entry key="sols_physico-chimie_donnees_elementaires" value-ref="versionFileHelper" />
                <entry key="sols_physico-chimie_moyennes" value-ref="versionFileHelper" />
                <entry key="pro_physico-chimie_donnees_elementaires" value-ref="versionFileHelper" />
                <entry key="pro_physico-chimie_moyennes" value-ref="versionFileHelper" />
                <entry key="plante_physico-chimie_donnees_elementaires" value-ref="versionFileHelper" />
                <entry key="plante_physico-chimie_moyennes" value-ref="versionFileHelper" />
                <entry key="flux_chambre" value-ref="versionFileHelper" />
                <entry key="smp" value-ref="versionFileHelper" />
                <entry key="swc" value-ref="versionFileHelper" />
                <entry key="ts" value-ref="versionFileHelper" />
                <entry key="intervention_apport" value-ref="versionFileHelper" />
                <entry key="intervention_recolte_coupe" value-ref="versionFileHelper" />
                <entry key="intervention_semis_plantation" value-ref="versionFileHelper" />
                <entry key="intervention_travail_du_sol" value-ref="versionFileHelper" />
                <entry key="intervention_pro_etudie" value-ref="versionFileHelper" />
            </map>
        </property>

    </bean>
 
    <bean id="abstractPROFileNameChecker"
          class="org.inra.ecoinfo.pro.utils.filenamecheckers.AbstractPROFileNameChecker"
          parent="abstractFileNameChecker" abstract="true">
        <property name="datatypeDAO" ref="datatypeDAO"></property>
        <property name="disposotifDAO" ref="dispositifDAO"></property>
		
    </bean>
    <bean id="abstractTestDuplicate" class="org.inra.ecoinfo.pro.dataset.impl.AbstractTestDuplicate"
          abstract="true">
        <property name="configuration" ref="datasetConfiguration" />
    </bean>

    <bean id="deleteRecord" class="org.inra.ecoinfo.pro.dataset.impl.DeleteRecord">
        <property name="versionFileDAO" ref="versionFileDAO" />
    </bean>
    <bean id="abstractTestFormat" class="org.inra.ecoinfo.pro.dataset.impl.GenericTestFormat" abstract="true">
    </bean>
    <bean id="genericTestValues" class="org.inra.ecoinfo.pro.dataset.impl.GenericTestValues">
        <property name="dataTypeVariableUnitePRODAO" ref="dataTypeVariableUnitePRODAO" />
    </bean>
    <bean id="genericTestHeaders" class="org.inra.ecoinfo.pro.dataset.impl.GenericTestHeader">
        <property name="blocDAO" ref="blocDAO" />
        <property name="dataTypeVariableUnitePRODAO" ref="dataTypeVariableUnitePRODAO" />
        <property name="datasetConfiguration" ref="datasetConfiguration" />
        <property name="datatypeDAO" ref="datatypeDAO" />
        <property name="descriptionTraitementDAO" ref="descriptionTraitementDAO" />
        <property name="dispositifDAO" ref="dispositifDAO" />
        <property name="lieuDAO" ref="lieuDAO" />
        <property name="localizationManager" ref="localizationManager" />
        <property name="parcelleElementaireDAO" ref="parcelleElementaireDAO" />
        <property name="placetteDAO" ref="placetteDAO" />
        
    </bean>
  
    <bean id="abstractProcessRecord" class="org.inra.ecoinfo.pro.dataset.impl.AbstractProcessRecord" abstract="true">
        <property name="localizationManager" ref="localizationManager" />
        <property name="dataTypeVariableUnitePRODAO" ref="dataTypeVariableUnitePRODAO" />
        <property name="versionFileDAO" ref="versionFileDAO" />
        <property name="variPRODAO" ref="variPRODAO"/>
        <property name="mgaRecorder" ref="mgaRecorder"/>
                
        <!--                <property name="echantillonsproduitDAO" ref="echantillonsproduitDAO"/>
       <property name="methodeDAO" ref="methodeDAO"/>
        <property name="uniteproDAO" ref="uniteproDAO"/>
        <property name="humiditeDAO" ref="humiditeDAO"/>-->
        <!--                <property name="notificationsManager" ref="notificationsManager" />
        <property name="securityContext" ref="securityContext" />-->
    </bean>


    <bean id="abstractRecorderBean" class="org.inra.ecoinfo.pro.dataset.impl.RecorderPRO">
        <property name="versionFileDAO" ref="versionFileDAO" />
        <property name="localizationManager" ref="localizationManager" />
        <property name="notificationsManager" ref="notificationsManager" />
    </bean>
<!--    <bean id="datasetCurrentSelection" class="org.inra.ecoinfo.dataset.jsf.CurrentSelection">
        <property name="treeLength" value="5" />
    </bean>-->
</beans>

